### Function

# EBookContacts Contact vcard_attribute_fallback

since: 3.60

#### Declaration [src]

    const gchar*
    e_contact_vcard_attribute_fallback (
      EContactField field_id
    )

#### Description [src]

Gets the vCard attribute name corresponding to `field_id`, which is used to hold vCard attributes in an earlier versions of the vCard standard than in which the attribute had been added for.

Not every attribute has it set, thus a `NULL` is a valid return value.

Available since: 3.60

#### Parameters

`field_id`

  Type: `EContactField`

  An `EContactField`.

#### Return value

Type: `const gchar*`

The vCard fallback attribute name corresponding to `field_id`, or `NULL`, when the `field_id` has not set any such fallback attribute.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.